diff -uNr mythtv-0.21/i18n/mythfrontend_fi.ts mythtv/i18n/mythfrontend_fi.ts
--- mythtv-0.21/i18n/mythfrontend_fi.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_fi.ts	2008-04-04 01:47:54.000000000 +0200
@@ -66,19 +66,19 @@
     <name>BackendSelect</name>
     <message>
         <source>Please select default Myth Backend Server</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse oletus palvelin</translation>
     </message>
     <message>
         <source>OK</source>
-        <translation type="unfinished">OK</translation>
+        <translation>OK</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
         <source>Configure Manually</source>
-        <translation type="unfinished"></translation>
+        <translation>Manuaalinen asetus</translation>
     </message>
 </context>
 <context>
@@ -121,7 +121,7 @@
     </message>
     <message>
         <source>Are you sure you want to delete ALL capture cards on %1?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poistetaanko KAIKKIEN TV-korttien asetukset %1:lla?</translation>
     </message>
     <message>
         <source>Error getting list of cards for this host</source>
@@ -156,37 +156,37 @@
     </message>
     <message>
         <source>Create Input Group</source>
-        <translation type="unfinished"></translation>
+        <translation>Luo Sisääntulo-ryhmä</translation>
     </message>
     <message>
         <source>Enter new group name</source>
-        <translation type="unfinished"></translation>
+        <translation>Uuden ryhmän nimi</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>Virhe</translation>
     </message>
     <message>
         <source>Sorry, this Input Group name can not be blank.</source>
-        <translation type="unfinished"></translation>
+        <translation>Sisääntuloryhmän nimi ei voi olla tyhjä.</translation>
     </message>
     <message>
         <source>Sorry, this Input Group name is already in use.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä nimi on jo käytössä.</translation>
     </message>
 </context>
 <context>
     <name>CardInputEditor</name>
     <message>
         <source>Input connections</source>
-        <translation type="unfinished">Sisääntuloliitännät</translation>
+        <translation>Sisääntuloliitännät</translation>
     </message>
 </context>
 <context>
     <name>ChannelEditor</name>
     <message>
         <source>Channels</source>
-        <translation type="unfinished">Kanavat</translation>
+        <translation>Kanavat</translation>
     </message>
     <message>
         <source>Are you sure you would like to delete this channel?</source>
@@ -230,27 +230,27 @@
     </message>
     <message>
         <source>Are you sure you would like to delete ALL channels?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poistetaanko KAIKKIEN kanavien asetukset?</translation>
     </message>
     <message>
         <source>Are you sure you would like to delete all unassigned channels?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poistetaanko KAIKKIEN käyttämättömien kanavien asetukset?</translation>
     </message>
     <message>
         <source>Are you sure you would like to delete the channels on %1?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poistetaanko kaikki kanavat %1:lla?</translation>
     </message>
     <message>
         <source>Add some for channels first!</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää ensin jokunen kanava!</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
         <source>Download all icons..</source>
-        <translation type="unfinished"></translation>
+        <translation>Lataa kaikki ikonit..</translation>
     </message>
     <message>
         <source>Rescan for missing icons..</source>
@@ -276,143 +276,143 @@
     <name>CustomEdit</name>
     <message>
         <source>stored example</source>
-        <translation type="unfinished"></translation>
+        <translation>tallennettu esimerkki</translation>
     </message>
     <message>
         <source>Edit Rule</source>
-        <translation type="unfinished">Muokkaa Ehtoa</translation>
+        <translation>Muokkaa Ehtoa</translation>
     </message>
     <message>
         <source>&lt;New rule&gt;</source>
-        <translation type="unfinished">&lt;Uusi Ehto&gt;</translation>
+        <translation>&lt;Uusi Ehto&gt;</translation>
     </message>
     <message>
         <source>Rule Name</source>
-        <translation type="unfinished">Säännön Nimi</translation>
+        <translation>Säännön Nimi</translation>
     </message>
     <message>
         <source>Match an exact title</source>
-        <translation type="unfinished">Vain täsmällinen sopivuus nimikkeille</translation>
+        <translation>Vain täsmällinen sopivuus nimikkeille</translation>
     </message>
     <message>
         <source>Match an exact episode</source>
-        <translation type="unfinished">Vain täsmällinen sopivuus jaksolle</translation>
+        <translation>Vain täsmällinen sopivuus jaksolle</translation>
     </message>
     <message>
         <source>Match words in the title</source>
-        <translation type="unfinished">Yhtälaisuudet nimikkeissä</translation>
+        <translation>Yhtälaisuudet nimikkeissä</translation>
     </message>
     <message>
         <source>Match in any descriptive field</source>
-        <translation type="unfinished">Yhtälaisuudet missä tahansa kentässä</translation>
+        <translation>Yhtälaisuudet missä tahansa kentässä</translation>
     </message>
     <message>
         <source>Limit by category</source>
-        <translation type="unfinished">Rajoita kategoriaan</translation>
+        <translation>Rajoita kategoriaan</translation>
     </message>
     <message>
         <source>All matches for a genre (Data Direct)</source>
-        <translation type="unfinished">Kaikki tämän lajin ohjelmat</translation>
+        <translation>Kaikki tämän lajin ohjelmat</translation>
     </message>
     <message>
         <source>Limit by MPAA or VCHIP rating (Data Direct)</source>
-        <translation type="unfinished"></translation>
+        <translation>Rajoita MPAA tai VCHIP-arvostelulle</translation>
     </message>
     <message>
         <source>New episodes only</source>
-        <translation type="unfinished">Vain uudet jaksot</translation>
+        <translation>Vain uudet jaksot</translation>
     </message>
     <message>
         <source>Exclude unidentified episodes</source>
-        <translation type="unfinished">Poissulje tuntemattomat jaksot</translation>
+        <translation>Poissulje tuntemattomat jaksot</translation>
     </message>
     <message>
         <source>Category type</source>
-        <translation type="unfinished">Kategoriatyyppi</translation>
+        <translation>Kategoriatyyppi</translation>
     </message>
     <message>
         <source>or</source>
-        <translation type="unfinished">tai</translation>
+        <translation>tai</translation>
     </message>
     <message>
         <source>Limit movies by the year of release</source>
-        <translation type="unfinished">Rajoita elokuvan tuotantovuoteen</translation>
+        <translation>Rajoita elokuvan tuotantovuoteen</translation>
     </message>
     <message>
         <source>Minimum star rating (0.0 to 1.0 for movies only)</source>
-        <translation type="unfinished">Minimi arvostusaste (0.0 - 1.0, vain elokuville)</translation>
+        <translation>Minimi arvostusaste (0.0 - 1.0, vain elokuville)</translation>
     </message>
     <message>
         <source>Person named in the credits (Data Direct)</source>
-        <translation type="unfinished"></translation>
+        <translation>Henkilö, joka nimetty elokuvan lopputeksteissä</translation>
     </message>
     <message>
         <source>Only on a specific station</source>
-        <translation type="unfinished">Vain tietty asema</translation>
+        <translation>Vain tietty asema</translation>
     </message>
     <message>
         <source>Exclude one station</source>
-        <translation type="unfinished">Älä sisällytä jotain tv-asemaa</translation>
+        <translation>Älä sisällytä jotain tv-asemaa</translation>
     </message>
     <message>
         <source>Match related callsigns</source>
-        <translation type="unfinished">Yhtälaisuudet nimikkeissä</translation>
+        <translation>Yhtälaisuudet nimikkeissä</translation>
     </message>
     <message>
         <source>Only on channels marked as favorites</source>
-        <translation type="unfinished">Vain suosikkikanavat</translation>
+        <translation>Vain suosikkikanavat</translation>
     </message>
     <message>
         <source>Only channels from a specific video source</source>
-        <translation type="unfinished">Sisällytä kanavat ainoastaan tietyistä videolähteistä</translation>
+        <translation>Sisällytä kanavat ainoastaan tietyistä videolähteistä</translation>
     </message>
     <message>
         <source>Only channels marked as commercial free</source>
-        <translation type="unfinished">Ainoastaan kanavat, jotka merkitty mainosvapaiksi</translation>
+        <translation>Ainoastaan kanavat, jotka merkitty mainosvapaiksi</translation>
     </message>
     <message>
         <source>Only shows marked as HDTV</source>
-        <translation type="unfinished">Vain HDTV-ohjelmat</translation>
+        <translation>Vain HDTV-ohjelmat</translation>
     </message>
     <message>
         <source>Anytime on a specific day of the week</source>
-        <translation type="unfinished">Mihin tahansa aikaan tietyllä viikonpäivällä</translation>
+        <translation>Mihin tahansa aikaan tietyllä viikonpäivällä</translation>
     </message>
     <message>
         <source>Only on weekdays (Monday through Friday)</source>
-        <translation type="unfinished">Vain arkipäivinä</translation>
+        <translation>Vain arkipäivinä</translation>
     </message>
     <message>
         <source>Only on weekends</source>
-        <translation type="unfinished">Vain viikonloppuisin</translation>
+        <translation>Vain viikonloppuisin</translation>
     </message>
     <message>
         <source>Only in primetime</source>
-        <translation type="unfinished">Vain parhaaseen katseluaikaan</translation>
+        <translation>Vain parhaaseen katseluaikaan</translation>
     </message>
     <message>
         <source>Not in primetime</source>
-        <translation type="unfinished">Ei parhaana katseluaikana</translation>
+        <translation>Ei parhaana katseluaikana</translation>
     </message>
     <message>
         <source>Multiple sports teams (complete example)</source>
-        <translation type="unfinished">Useat urheilujoukkueet</translation>
+        <translation>Useat urheilujoukkueet</translation>
     </message>
     <message>
         <source>Sci-fi B-movies (complete example)</source>
-        <translation type="unfinished">Sci-fi B-luokka</translation>
+        <translation>Sci-fi B-luokka</translation>
     </message>
     <message>
         <source>SportsCenter Overnight (complete example - use FindDaily)</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <source>Movie of the Week (complete example - use FindWeekly)</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <source>First Episodes (complete example for Data Direct)</source>
-        <translation type="unfinished">Ensimmäiset jaksot (esimerkki)</translation>
+        <translation>Ensimmäiset jaksot (esimerkki)</translation>
     </message>
     <message>
         <source>Add this example clause</source>
@@ -420,67 +420,67 @@
     </message>
     <message>
         <source>Additional Tables</source>
-        <translation type="unfinished">Lisävaihtoehdot</translation>
+        <translation>Lisävaihtoehdot</translation>
     </message>
     <message>
         <source>Test</source>
-        <translation type="unfinished">Kokeile</translation>
+        <translation>Kokeile</translation>
     </message>
     <message>
         <source>Record</source>
-        <translation type="unfinished">Nauhoita</translation>
+        <translation>Nauhoita</translation>
     </message>
     <message>
         <source>Store</source>
-        <translation type="unfinished"></translation>
+        <translation>Tallenna</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
         <source>An error was found when checking</source>
-        <translation type="unfinished">Virhe selatessa</translation>
+        <translation>Virhe selatessa</translation>
     </message>
     <message>
         <source>The database error was</source>
-        <translation type="unfinished">Tietokannassa tapahtunut virhe</translation>
+        <translation>Tietokannassa tapahtunut virhe </translation>
     </message>
     <message>
         <source>Match this episode</source>
-        <translation type="unfinished"></translation>
+        <translation>Vastaa tätä jaksoa</translation>
     </message>
     <message>
         <source>First showing of each episode</source>
-        <translation type="unfinished"></translation>
+        <translation>Jokaisen jakson ensimmäinen esitys</translation>
     </message>
     <message>
         <source>Last showing of each episode</source>
-        <translation type="unfinished"></translation>
+        <translation>Jokaisen jakson viimeinen esitys</translation>
     </message>
     <message>
         <source>stored search</source>
-        <translation type="unfinished"></translation>
+        <translation>tallennettu haku</translation>
     </message>
     <message>
         <source>Add</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää</translation>
     </message>
     <message>
         <source>Match this series</source>
-        <translation type="unfinished"></translation>
+        <translation>Vastaa tätä sarjaa</translation>
     </message>
     <message>
         <source>Match words in the subtitle</source>
-        <translation type="unfinished"></translation>
+        <translation>Vastaa sanoja nimikkeessä</translation>
     </message>
     <message>
         <source>Only shows marked as widescreen</source>
-        <translation type="unfinished"></translation>
+        <translation>Vain laajakuvaksi merkityt lähetykset</translation>
     </message>
     <message>
         <source>Exclude H.264 encoded streams (EIT only)</source>
-        <translation type="unfinished"></translation>
+        <translation>Poissulje h.264-pakatut lähetykset (EIT)</translation>
     </message>
 </context>
 <context>
@@ -726,11 +726,11 @@
     <name>DVBUtilsImportPane</name>
     <message>
         <source>File location</source>
-        <translation type="unfinished">Tiedoston sijainti</translation>
+        <translation>Tiedoston sijainti</translation>
     </message>
     <message>
         <source>Location of the channels.conf file.</source>
-        <translation type="unfinished">Sijainti channels.conf-tiedostolle.</translation>
+        <translation>Sijainti channels.conf-tiedostolle.</translation>
     </message>
 </context>
 <context>
@@ -1057,7 +1057,7 @@
     <name>FirewireDesc</name>
     <message>
         <source>Description</source>
-        <translation type="unfinished">Kuvaus</translation>
+        <translation>Kuvaus</translation>
     </message>
 </context>
 <context>
@@ -1122,7 +1122,7 @@
     <name>InputSelector</name>
     <message>
         <source>Input</source>
-        <translation type="unfinished">Sisääntulo</translation>
+        <translation>Sisääntulo</translation>
     </message>
 </context>
 <context>
@@ -1148,15 +1148,15 @@
     <name>MPEGConfigurationGroup</name>
     <message>
         <source>Probed info</source>
-        <translation type="unfinished"></translation>
+        <translation>Haettu tieto</translation>
     </message>
     <message>
         <source>Failed to open</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu avattua</translation>
     </message>
     <message>
         <source>Failed to probe</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu haettua</translation>
     </message>
 </context>
 <context>
@@ -1238,61 +1238,61 @@
     </message>
     <message>
         <source>5 weekdays if daily</source>
-        <translation type="unfinished"></translation>
+        <translation>5 kertaa viikossa, jos päivittäinen</translation>
     </message>
     <message>
         <source>7 days per week if daily</source>
-        <translation type="unfinished"></translation>
+        <translation>7 kertaa viikossa, jos päivittäinen</translation>
     </message>
 </context>
 <context>
     <name>MediaMonitor</name>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
         <source>Select removable media to eject or insert</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse poistettava/ladattava media</translation>
     </message>
     <message>
         <source>No devices to eject</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei laitteita poistettavaksi</translation>
     </message>
     <message>
         <source>Failed to unmount %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu irroitettua %1:stä</translation>
     </message>
     <message>
         <source>You may safely remove %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Nyt %1 voidaan poistaa</translation>
     </message>
     <message>
         <source>Failed to eject %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu poistettua %1:stä</translation>
     </message>
     <message>
         <source>Select a CD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse CD-asema</translation>
     </message>
     <message>
         <source>Select a VCD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse VCD-asema</translation>
     </message>
     <message>
         <source>Select a DVD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse DVD-asema</translation>
     </message>
     <message>
         <source>Select a DVD writer</source>
-        <translation type="unfinished"></translation>
+        <translation>Valitse DVD-kirjoitinasema</translation>
     </message>
 </context>
 <context>
     <name>MultiplexSetting</name>
     <message>
         <source>Transport</source>
-        <translation type="unfinished">Lähetysvirta</translation>
+        <translation>Lähetysvirta</translation>
     </message>
 </context>
 <context>
@@ -1307,33 +1307,34 @@
     </message>
     <message>
         <source>There are also other clients using this database. They should be shut down first.</source>
-        <translation type="unfinished"></translation>
+        <translation>Myös muita asiakkaita on tämän tietokannan asiakkaina. Ne tulisi sulkea ensin.</translation>
     </message>
     <message>
         <source>Error: MythTV cannot upgrade the schema of this datatase because other clients are using it.
 
 Please shut them down before upgrading.</source>
-        <translation type="unfinished"></translation>
+        <translation>Virhe: MythTV ei voi päivittää tämän tietokannan teemaa koska muut asiakkaat käyttävät sitä.
+</translation>
     </message>
     <message>
         <source>Warning: MythTV wants to upgrade your database schema, from %1 to %2.</source>
-        <translation type="unfinished"></translation>
+        <translation>Varoitus: MythTV haluaa päivittää tietokannan teeman, %1:stä %2:een.</translation>
     </message>
     <message>
         <source>You can try using the old schema, but that may cause problems.</source>
-        <translation type="unfinished"></translation>
+        <translation>Voidaan käyttää vanhaa teemaa, mutta se voi aiheuttaa ongelmia.</translation>
     </message>
     <message>
         <source>Warning: MythTV database has newer schema (%1) than expected (%2).</source>
-        <translation type="unfinished"></translation>
+        <translation>Varoitus: MythTV tietokannasta on uudempi teema (%1) kuin odotettu (%2).</translation>
     </message>
     <message>
         <source>Error: MythTV database has newer schema (%1) than expected (%2).</source>
-        <translation type="unfinished"></translation>
+        <translation>Virhe: MythTV tietokannasta on uudempi teema (%1) kuin odotettu (%2).</translation>
     </message>
     <message>
         <source>MythTV was unable to backup your database.</source>
-        <translation type="unfinished"></translation>
+        <translation>MythTV ei saanut kopioitua tietokantaa.</translation>
     </message>
     <message>
         <source>If your system becomes unstable, a database backup file called %1 is located in %2.</source>
@@ -1866,158 +1867,158 @@
     </message>
     <message>
         <source>Recording has been transcoded</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on jälkikäsitelty</translation>
     </message>
     <message>
         <source>Recording is in Stereo</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on Stereo</translation>
     </message>
     <message>
         <source>Recording is in High Definition</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on HD</translation>
     </message>
     <message>
         <source>Recording is Closed Captioned</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoituksella on tekstitys</translation>
     </message>
     <message>
         <source>Autodetect</source>
-        <translation type="unfinished">Havaitse automaattisesti</translation>
+        <translation>Havaitse automaattisesti</translation>
     </message>
     <message>
         <source>High Quality</source>
-        <translation type="unfinished"></translation>
+        <translation>Korkea Laatu</translation>
     </message>
     <message>
         <source>Medium Quality</source>
-        <translation type="unfinished"></translation>
+        <translation>Keskimääräinen Laatu</translation>
     </message>
     <message>
         <source>Low Quality</source>
-        <translation type="unfinished"></translation>
+        <translation>Alhainen Laatu</translation>
     </message>
     <message>
         <source>Watch List</source>
-        <translation type="unfinished"></translation>
+        <translation>Katselulista</translation>
     </message>
     <message>
         <source>There are no recordings in your current view</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei nauhoituksia nykyisessä näkymässä</translation>
     </message>
     <message>
         <source>There are no recordings available</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei nauhoituksia saatavilla</translation>
     </message>
     <message>
         <source>Mark as Unwatched</source>
-        <translation type="unfinished"></translation>
+        <translation>Merkitse Katsomattomaksi</translation>
     </message>
     <message>
         <source>Mark as Watched</source>
-        <translation type="unfinished"></translation>
+        <translation>Merkitse katsotuksi</translation>
     </message>
     <message>
         <source>Recording is preserved</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus säilytetään</translation>
     </message>
     <message>
         <source>Show Titles</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä Nimikkeet</translation>
     </message>
     <message>
         <source>Show Categories</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä Kategoriat</translation>
     </message>
     <message>
         <source>Show Recording Groups</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä Nauhoitusryhmät</translation>
     </message>
     <message>
         <source>Show Watch List</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä Katselulista</translation>
     </message>
     <message>
         <source>Show Searches</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä Haut</translation>
     </message>
     <message>
         <source>Save Current View</source>
-        <translation type="unfinished"></translation>
+        <translation>Tallenna Nykyinen Näkymä</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Peruuta</translation>
+        <translation>Peruuta</translation>
     </message>
     <message>
         <source>_NO_TITLE_</source>
-        <translation type="unfinished"></translation>
+        <translation>_EI_NIMIKETTÄ_</translation>
     </message>
     <message>
         <source>Unknown</source>
-        <translation type="unfinished">Tuntematon</translation>
+        <translation>Tuntematon</translation>
     </message>
     <message>
         <source>Help (Status Icons)</source>
-        <translation type="unfinished"></translation>
+        <translation>Apua (Tilaikoneista)</translation>
     </message>
     <message>
         <source>Delete, and allow re-record</source>
-        <translation type="unfinished"></translation>
+        <translation>Poista, ja salli uudelleennauhoitus</translation>
     </message>
     <message>
         <source>Allow this program to re-record</source>
-        <translation type="unfinished"></translation>
+        <translation>Salli tämän ohjelman uudelleennauhoitus</translation>
     </message>
     <message>
         <source>Undelete</source>
-        <translation type="unfinished"></translation>
+        <translation>Palauta</translation>
     </message>
     <message>
         <source>Delete Forever</source>
-        <translation type="unfinished"></translation>
+        <translation>Poista Pysyvästi</translation>
     </message>
     <message>
         <source>Recording is in Mono</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on Mono</translation>
     </message>
     <message>
         <source>Recording is in Surround Sound</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on Surround Sound</translation>
     </message>
     <message>
         <source>Recording is in Dolby Surround Sound</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on Dolby Surround Sound</translation>
     </message>
     <message>
         <source>Recording has Subtitles Available</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoituksella on Tekstitys</translation>
     </message>
     <message>
         <source>Recording is Subtitled</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoituksella on Tekstitys</translation>
     </message>
     <message>
         <source>Recording is in WideScreen</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on Laajakuva</translation>
     </message>
     <message>
         <source>Recording has been watched</source>
-        <translation type="unfinished"></translation>
+        <translation>Nauhoitus on katsottu</translation>
     </message>
     <message>
         <source>Show LiveTV as a Group</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä LiveTV Ryhmänä</translation>
     </message>
     <message>
         <source>Deleted</source>
-        <translation type="unfinished"></translation>
+        <translation>Poistettu</translation>
     </message>
 </context>
 <context>
     <name>PlaybackProfileItemConfig</name>
     <message>
         <source>Match Criteria</source>
-        <translation type="unfinished"></translation>
+        <translation>Vastaa Kriteriaa</translation>
     </message>
     <message>
         <source>W</source>
@@ -2029,39 +2030,39 @@
     </message>
     <message>
         <source>Decoder</source>
-        <translation type="unfinished"></translation>
+        <translation>Viritin</translation>
     </message>
     <message>
         <source>Max CPUs</source>
-        <translation type="unfinished"></translation>
+        <translation>Suoritinmäärä (Max)</translation>
     </message>
     <message>
         <source>Video Renderer</source>
-        <translation type="unfinished"></translation>
+        <translation>Videon Kuvantamiskeino</translation>
     </message>
     <message>
         <source>OSD Renderer</source>
-        <translation type="unfinished"></translation>
+        <translation>OSD Kuvantamiskeino</translation>
     </message>
     <message>
         <source>OSD Fade</source>
-        <translation type="unfinished"></translation>
+        <translation>OSD Häivyttäminen</translation>
     </message>
     <message>
         <source>Primary Deinterlacer</source>
-        <translation type="unfinished"></translation>
+        <translation>Ensisijainen Lomituksenpoistaja</translation>
     </message>
     <message>
         <source>Fallback Deinterlacer</source>
-        <translation type="unfinished"></translation>
+        <translation>Varmistus Lomituksenpoistaja</translation>
     </message>
     <message>
         <source>Custom Filters</source>
-        <translation type="unfinished">Muokatut Suodattimet</translation>
+        <translation>Muokatut Suodattimet</translation>
     </message>
     <message>
         <source>Maximum number of CPU cores used for decoding.</source>
-        <translation type="unfinished"></translation>
+        <translation>Max. määrä suoritinytimiä, joita käytetään purkamiseen.</translation>
     </message>
     <message>
         <source> Multithreaded decoding disabled-only one CPU will be used, please recompile with --enable-ffmpeg-pthreads to enable.</source>
@@ -2128,11 +2129,11 @@
     </message>
     <message>
         <source>Time</source>
-        <translation type="unfinished"></translation>
+        <translation>Aika</translation>
     </message>
     <message>
         <source>Title</source>
-        <translation type="unfinished"></translation>
+        <translation>Nimike</translation>
     </message>
 </context>
 <context>
